O principal objetivo desta biblioteca é fornecer alguns componentes prontos, previamente modelados, ao usuário que deseja realizar estudos em uma representação do LabREI no HIL.

Para utilizar a biblioteca:
1. Baixe o arquivo "LabREI.lib" e a pasta "Figures" presentes neste repositório
2. Siga as instruções [neste link](https://www.typhoon-hil.com/documentation/typhoon-hil-software-manual/concepts/loading_a_library_in_library_browser.html) para adicionar a nova biblioteca ao seu HIL Schematic Editor

_Observação: certifique-se de que "LabREI.lib" e "Figures" encontram-se no mesmo diretório._

## Componentes

Em sua versão atual, a biblioteca contém os componentes descritos (brevemente) abaixo.
Uma descrição detalhada, discussões a respeito da modelagem e exemplos de utilização podem ser encontrados no relatório final da etapa E139 (disponível neste repositório).

- General: modelo do cabeamento da rede (com perdas em alta frequência) e modelos de barramentos (contendo sensores e possível switch de conexão shunt)  
    - Cabling
        - Single-phase Cabling
        - Three-phase Cabling
    - Bus
    - Bus (no switch)
    - Ending Bus (no switch)
    - Left-end Bus
    - Right-end Bus
- PV System: inversores bifásico e trifásico do sistema fotovoltaico, com versões simplificadas (único estágio) ou com estágio de MPPT
    - 1-ph PV Inverter
    - 1-ph PV Inverter (MPPT)
    - 3-ph PV Inverter
    - 3-ph PV Inverter (MPPT)
- Supplier Inverters: modelo do hardware dos inversores Supplier trifásicos a 3 e 4 fios
    - Supplier Inverter 3p3w
    - Supplier Inverter 3p4w
- JUNXY: modelo do banco de cargas passivas

Além disso, as **curvas I-V** correspondentes aos dois arranjos de **painéis fotovoltaicos** conectados ao LabREI encontram-se disponíveis por meio dos arquivos abaixo para que sejam utilizadas com o componente _Photovoltaic Panel_ da biblioteca padrão da Typhoon.
- iv_curve_320P6D-36_8s2p.ipvx (arranjo paralelo de 2 módulos de 8 painéis em série)
- iv_curve_320P6D-36_20s2p.ipvx (arranjo paralelo de 2 módulos de 20 painéis em série)
- iv_curve_320P6D-36.ipvx (curva correspondente a um único módulo)

## Comentários

O usuário irá notar que o esforço computacional exigido por alguns dos modelos é significativo. 
Apesar dos esforços de simplificação, como para o caso do cabeamento e dos inversores fotovoltaicos, é possível que o usuário encontre dificuldades para a simulação de sistemas muito complexos.

Além disso, vale ressaltar que qualquer sugestão ou contribuição são bem-vindas.

Em caso de dúvidas ou dificuldades, não hesite em entrar em contato através do e-mail igormaronni@gmail.com. 

